### Method

# Gdk ScrollEventget_deltas

#### Declaration [src]

    void
    gdk_scroll_event_get_deltas (
      GdkEvent* event,
      double* delta_x,
      double* delta_y
    )

#### Description [src]

Extracts the scroll deltas of a scroll event.

The deltas will be zero unless the scroll direction is `GDK_SCROLL_SMOOTH`.

For the representation unit of these deltas, see `gdk_scroll_event_get_unit()`.

#### Parameters

`delta_x`

  Type: `double*`

  Return location for x scroll delta.

  The argument will be set by the function.

`delta_y`

  Type: `double*`

  Return location for y scroll delta.

  The argument will be set by the function.